Visual Studio 2017

Do you have a question about makefiles, a compiler or IDE you are using and need to know how to set it up for wxWidgets or why it doesn't compile but other IDE's do ? Post your questions here.
VineethV
In need of some credit
In need of some credit
Posts: 2
Joined: Wed May 17, 2017 4:43 pm

Visual Studio 2017

Postby VineethV » Wed May 17, 2017 4:46 pm

Hi,

Is there a version of wxWidget that's compatible with Visual Studio 2017 community edition. ?
OS - Windows 10 64-Bit

Thanks,
Vineeth

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 1848
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: Visual Studio 2017

Postby ONEEYEMAN » Wed May 17, 2017 8:19 pm

Hi,
You can try wx-3.0/3.1 or Git HEAD.
Why? Do you have a problem compiling the library with such compiler? If so, could you post an error you received?

There was a report about the problems compiling with 2017 and about the fixes for it so you need to be more specific.

Thank you.

VineethV
In need of some credit
In need of some credit
Posts: 2
Joined: Wed May 17, 2017 4:43 pm

Re: Visual Studio 2017

Postby VineethV » Fri May 19, 2017 4:55 am

Hi Oneeyeman - Thanks for the reply.
No, I did not receive any compiler errors. Actually I have not installed any version of wxWidgets.
The wxWidgets download page did not say that a particular version is compatible with VS 2017. So, just wanted to make sure that I have the correct version.
Again, thanks for your reply. Will try the ones you suggested.

ONEEYEMAN
Part Of The Furniture
Part Of The Furniture
Posts: 1848
Joined: Sat Apr 16, 2005 7:22 am
Location: USA, Ukraine

Re: Visual Studio 2017

Postby ONEEYEMAN » Fri May 19, 2017 2:10 pm

Hi,
Basically all wx versions are compatible with any MSVC versions.
But in order for the specific version to be recognizable and to skip the conversion wizard (which may not convert the solution/project properly) it is advisable to use latest release with the latest MSVC.

Keep in mind though that most *nix platforms will ship the latest "stable" release of the library and it may not necessary be the same as the latest release.

Thank you.


Return to “Compiler / Linking / IDE Related”

Who is online

Users browsing this forum: No registered users and 1 guest